# -*- coding: utf-8 -*-
# Copyright (C) 2022 mhertz <yourname@example.com>
#
# Basic plugin template created by the Deluge Team.
#
# This file is part of certfix and is licensed under GNU GPL 3.0, or later,
# with the additional special exception to link portions of this program with
# the OpenSSL library. See LICENSE for more details.
from __future__ import unicode_literals

import logging

from deluge.plugins.pluginbase import CorePluginBase
import deluge.component as component
from twisted.internet import reactor

log = logging.getLogger(__name__)

class Core(CorePluginBase):
    def enable(self):
        reactor.callLater(5, self.run)

    def run(self):
        tmc = component.get("TorrentManager")
        tmc.save_state_timer.stop()
        tmc.save_resume_data_timer.stop()
        tmc.save_state_timer.start(600, False)
        tmc.save_resume_data_timer.start(590, False)

    def disable(self):
        pass

    def update(self):
        pass
